using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public partial class Data
{
    public CoreDictionary<Entity, int> age = new CoreDictionary<Entity, int>();
}

public class Demo : MonoBehaviour
{
    void Start()
    {
        IRandomNumberGenerator.Register(new RandomNumberGenerator());
        IDataStore.Register(new DataStore("Demo"));
        IDataSerializer.Register(new DataSerializer());
        IDataSystem.Register(new DataSystem());
        IEntitySystem.Register(new EntitySystem());
        IDataSystem.Resolve().Create();

        var entity = IEntitySystem.Resolve().Create();
        IDataSystem.Resolve().Data.age[entity] = 5;

        var json = IDataSerializer.Resolve().Serialize(IDataSystem.Resolve().Data);
        Debug.Log(json);
    }
}
